Download it now!
Bug 36568 - MAILMERGE - Setting for "Print automatically inserted blank pages" unpredictable
Summary: MAILMERGE - Setting for "Print automatically inserted blank pages" unpredictable
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Printer-Settings
  Show dependency treegraph
 
Reported: 2011-04-25 02:30 UTC by burkhard.kasten
Modified: 2014-07-08 17:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
a printed serial letter (35.11 KB, application/pdf)
2011-04-25 02:30 UTC, burkhard.kasten
Details
file contains serial letter, database and some screenshots (733.78 KB, application/zip)
2011-06-15 01:11 UTC, burkhard.kasten
Details
Very simple spreadsheet with three records of name/message (11.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-03-06 18:14 UTC, Jorge E. Gómez
Details
Very simple form letter with static text and two fields: name and message (9.76 KB, application/vnd.oasis.opendocument.text)
2012-03-06 18:14 UTC, Jorge E. Gómez
Details
Incorrect result of mail merge, with empty even pages (10.22 KB, application/vnd.oasis.opendocument.text)
2012-03-06 18:16 UTC, Jorge E. Gómez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description burkhard.kasten 2011-04-25 02:30:22 UTC
Created attachment 46046 [details]
a printed serial letter

Database for serial letters is a file test.ods

create a new text file .odt
fill in the very first line a database field <Name>.
Print a serial letter.

Yo will have an empty page after each letter.

Dependant on complexity of the letter several different problems of printing occur: Missing form feeds afer each letter, or missing parts of text in the middle or at the and of the text. Even a complete colum of a two-colum-tables was missing, the "new" table took the same size as the original table, that means, the printed colum became wider.

I tested several letters, more and less complex. No one of them was printed correctly. Until OpenOffice 3.1 all my serial letters worked without any problems.

If desired I can email a set of printouts and odt-files.

Attachment shows a typical serial letter, using three data sets. Form feed is missing. A complete Text line behind the line "Sehr geehrte ..." ist missing.

----

Another Problem: it is not possible to export serial letters to an pdf-file. Dialog is missing, no data will be inserted.
Comment 1 Rainer Bielefeld Retired 2011-04-25 02:41:03 UTC
Not a valid bug report, all relevant information missing. I can't confirm problems as mentioned in the report.

@burkhard.kasten@gmx.net
This is the Bug tracking system, not a helpdesk! You can get help from the public users mailing list users@libreoffice.org, a mailing list from <http://www.documentfoundation.org/contribution/#lists> or
<http://wiki.documentfoundation.org/Local_Mailing_Lists>

If result of discussion will be that you really observed a LibO bug, this bug can be reopened. Before you do, please read  hints on <http://wiki.documentfoundation.org/BugReport> carefully!

Then please:
- Attach a sample document 
- Attach screenshots with comments (you can add information using LibO DRAW
  and then attach your screenshot with comments as PDF) if necessary
- Contribute a step by step instruction containing every key press and every 
  mouse click how to reproduce your problem
- add information 
  -- what exactly is unexpected
  -- and why do you believe it's unexpected
  -- concerning your PC and printer
  -- concerning your OS version
  -- concerning your LibO localization (UI language)
  –- Libo settings that might be related to your problems 
  -- how you launch LibO
  -- everything else crossing your mind after you read a.m. URL

Can you please file Bug reports with status UNCONFIRMED if your are not absolutely sure that you contributed all required background information and that the problem will be reproducible with information you can provide? 

Thank you!
Comment 2 burkhard.kasten 2011-04-25 02:54:53 UTC
Sorry to disturb you!

Ich wollte einen Fehler melden und habe das Drumherum soweit reduziert, daß 
nur ein einziges Wort in einem leeren Formular übrig geblieben ist. Wenn das 
noch immer zu kompliziert ist um einen Fehler nachzuvollziehen, dann tut es 
mir leid.

Im übrigen habe ich nicht um Hilfe gebeten, bisher habe ich meine 
Bedienungsprobleme noch alle selbst gelöst.

Ich wollte behilflich sein und kein Studium zum Ausfüllen von Fehler-Reports 
absolvieren. Wenn wirklich Rückmeldungen über die Funktionsfähigkeit von 
LibreOffice gewünscht wird, wie in der Homepage großspurig behauptet wird, 
müßte man die Wge dazu viel nutzerfreundlicher gestalten.

Wie dem auch sei, ich bitte hiermit in aller Form um Entschuldigung für die 
Störung und wünsche weiter angenehmer Ruhe.

Meldung und Accaount dürfen gerne wieder gelöscht werden.

Burkhard Kasten

----- Original Message ----- 
From: <bugzilla-daemon@freedesktop.org>
To: <burkhard.kasten@gmx.net>
Sent: Monday, April 25, 2011 11:41 AM
Subject: [Bug 36568] Serial letters


https://bugs.freedesktop.org/show_bug.cgi?id=36568

Rainer Bielefeld <LibreOffice@bielefeldundbuss.de> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|                            |INVALID
                 CC|                            |LibreOffice@bielefeldundbus
                   |                            |s.de

--- Comment #1 from Rainer Bielefeld <LibreOffice@bielefeldundbuss.de> 
2011-04-25 02:41:03 PDT ---
Not a valid bug report, all relevant information missing. I can't confirm
problems as mentioned in the report.

@burkhard.kasten@gmx.net
This is the Bug tracking system, not a helpdesk! You can get help from the
public users mailing list users@libreoffice.org, a mailing list from
<http://www.documentfoundation.org/contribution/#lists> or
<http://wiki.documentfoundation.org/Local_Mailing_Lists>

If result of discussion will be that you really observed a LibO bug, this 
bug
can be reopened. Before you do, please read  hints on
<http://wiki.documentfoundation.org/BugReport> carefully!

Then please:
- Attach a sample document
- Attach screenshots with comments (you can add information using LibO DRAW
  and then attach your screenshot with comments as PDF) if necessary
- Contribute a step by step instruction containing every key press and every
  mouse click how to reproduce your problem
- add information
  -- what exactly is unexpected
  -- and why do you believe it's unexpected
  -- concerning your PC and printer
  -- concerning your OS version
  -- concerning your LibO localization (UI language)
  –- Libo settings that might be related to your problems
  -- how you launch LibO
  -- everything else crossing your mind after you read a.m. URL

Can you please file Bug reports with status UNCONFIRMED if your are not
absolutely sure that you contributed all required background information and
that the problem will be reproducible with information you can provide?

Thank you!
Comment 3 burkhard.kasten 2011-06-15 01:11:04 UTC
Created attachment 47981 [details]
file contains serial letter, database and some screenshots

this is a reduced serial letter. It produces empty pages.
Comment 4 burkhard.kasten 2011-06-15 01:26:26 UTC
I tested this failure on 3.4 (windows xp-32 Bit, and Suse-Linux 64 Bit)
I tested on Kyocera mita fs-1900 and Canon pixma ip8500.
I tested in german language and in english default setting.

Since Version 3.4 Duden Korrektor does not work.

Inserting pictures does no longer show picture previews.

Since Version 3.1 CTRL-A does NOT select the complete page. In many cases (also in this example) it is not even able to select a table totally.

Each example works properly with OpenOffice 3.0 (portable). (Windows xp 32-Bit)

If necessary I can send the files which produced the worthless pdf-file to someone who keeps data as confidential.
Comment 5 Alex Thurgood 2011-06-15 01:49:42 UTC
Dear Burkhard,

You are confusing the issues, and putting them all into one bug report will not help anyone, either yourself or the people trying to help you. Open an individual report for each problem.

For instance :

1) the mailmerge extra pages printing issue
2) the image preview issue
3) Ctrl-A selection issue
etc, etc.

The example file you have enclosed shows several different problems, they will not be handled in this single issue even if you believe they all relate to mailmerge. That may well be the underlying thing, but each problem may well have different causes.

For example, if I take number 1, I can reproduce your problem on Mac OSX up to the point where the print dialog is displayed, i.e. I can see 9 pages in the print preview window on the left of the print dialog. HOWEVER, I also have the option to turn off the extra inserted pages by deselecting (mouse click) the appropriate entry in the print dialog, so this is no longer a problem. When I do that, my mailmerge, using your data, apparently works correctly. This may actually be a duplicate of an already existing bug report, I haven't checked yet, but will do so.


Correcting title of bug report.

As indicated above, for your other problems, please file separate reports.



Alex
Comment 6 Jorge E. Gómez 2012-03-06 18:13:21 UTC
I can confirm this bug on LibreOffice 3.5.0.

Steps to reproduce:

Create an empty spreadsheet, with two columns, labeled Name and Message.
Fill three (3) sample rows and save the spreadsheet.
Create an empty text document, with some sample text.
Go through the Mailmerge wizard, add the spreadsheet as data source.
Edit the document, and insert fields from the data source.
Save the merged document as a single document.

Expected results:

A document with 3 pages, one for each record.

Result:

A document with 5 pages (filled odd pages and empty even pages).

Attached:
Sample spreadsheet.
Sample form letter.
Sample combined letters.
Comment 7 Jorge E. Gómez 2012-03-06 18:14:11 UTC
Created attachment 58090 [details]
Very simple spreadsheet with three records of name/message
Comment 8 Jorge E. Gómez 2012-03-06 18:14:57 UTC
Created attachment 58091 [details]
Very simple form letter with static text and two fields: name and message
Comment 9 Jorge E. Gómez 2012-03-06 18:16:07 UTC
Created attachment 58092 [details]
Incorrect result of mail merge, with empty even pages
Comment 10 Rainer Bielefeld Retired 2012-03-06 22:56:27 UTC
<http://wiki.documentfoundation.org/BugReport_Details#Version>

Insertion of empty pages is intended behavior, the question is whether suppression of empty pages works or not (or may be something else I did not understand in the comments)?

I believe I found a problem.

Steps to reproduce:
1. Download test kit
2. Open sample text document
3. In Menu 'tools -> Options -> Writer -> Print' uncheck "Print automatically 
   inserted blank pages" if necessary
3. Menu 'File -> Printer Settings ->  Options' uncheck 
   "Print automatically inserted blank pages" if necessary <ok>
    > If you now do Menu 'File -> Print -> Tab WRITER' you will see 
      "Print automatically inserted blank pages" unchecked. <Esc>
4. Menu 'Tools -> Mail Merge Wizard - Use this document' <Next>
5. Select "Letter"  <Next>
6. Select the sample address sheet in same folder if necessary  <Next>
7. Uncheck 'This document should contain salutation' if necessary,  <Next>
8. In step 6 click through recipients, should be 3,  <Next>
   > You see print of 3 documents
9. In Step 7 click 'Edit individual document'
   > document with inserted address data for 3 recipients appears, document
    shows 5 pages, only odd page number pages shown
10. Menu 'File -> Printer Settings -> Options' You should see "Print 
    automatically inserted blank pages" unchecked.
    <ok><ok>
11. Return to Mail Merge Wizard, <Next>
12. Select 'Print merged documents -> Print documents'
    Expected: 3 pages printed without blank pages
    Actual: as expected

But: It seems that result in step 10 "unchecked" is not always sure, with a new document I saw a checkmark there, and so blank pages were printed. Merged result should respect settings of source document, this option should be unchecked after having passed steps before.

My conclusion
-------------
New bug Title "In Step 7 document settings  "Print automatically inserted blank pages" selected unexpectedly.


@Jorge E. Gómez
Only for the sake of correctness: you see that you reproduced an effect that you do not understand, but you did not reproduce a bug? If you want to prove that it's a bug you have to cite Help, a manual, a general technical rule or similar what is broken by LibO

@all:
can you confirm my results and reduce the problem to that unexpected setting in my step 10?
Comment 11 Jorge E. Gómez 2012-03-07 07:19:50 UTC
Rainer,

Thanks for looking into this. You're correct, I confirmed an unexpected result, that may not be a bug.

If I take the step you outlined (turning off the "Print automatically inserted empty pages" option), I get the expected result (for instance a 3-page PDF file).

I agree with your conclusion. I see that "Print automatically inserted empty pages" is enabled under Settings > LO Writer > Print.

However, I found nothing in the page format settings for the original form letter (which is basically an unformatted page) to indicate that it was a "right" or "left" page (thus justifying the empty inserted pages). Maybe I'm not clear on the reasoning behind inserting the empty pages in this case.

Thanks again,
Comment 12 Rainer Bielefeld Retired 2012-03-07 08:59:30 UTC
Further research seems to show that there is a separate setting for those documents created after assistant step 6. This setting seems to be valid for all mail merge processes until it will have been modified for such a document in it's printer settings. 

Can someone do some further research with 3 documents check how changes in Comment 10 step  10 have influence to other mail merge from other source documents? And how it works for mail merge from File dialog. 

After final conclusion this might become an enhancement request that this setting should follow setting in source document.
Comment 13 Joel Madero 2013-05-15 02:18:46 UTC
I have been able to confirm the issue on:
Version: 4.1.0.0.alpha1+Build ID: ed8f9ec2caa8485691999e5565a79e451e1dcb
Date:   Wed May 8 18:48:38 2013 +0200 
Platform: Bodhi Linux 2.2 x64

I actually see something worse then comment 10, for me the setting is just completely useless, even after I go in to settings to verify and push ok twice for ignore automatically inserted blank pages.

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Trivial - doesn't prevent high quality work nor slow it down, just a desire to skip blank pages which doesn't have much of an impact
Medium - default is lowest but this is part of a symptom of other settings in print settings not working correctly so I marked as Medium


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 14 Julien Nabet 2013-11-10 10:57:56 UTC
Perhaps improvement thanks to http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9483451aaeea5c47726336c7b465c7618e1d37e ("convert mailmerge select page to .ui").
Someone to give a try with a master daily build? (see  http://dev-builds.libreoffice.org/daily/master/)
Comment 15 QA Administrators 2014-06-01 21:30:19 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 16 QA Administrators 2014-07-08 17:18:04 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO